### A free/open-source library for quantitative finance

Public Member Functions
MarketModelVolProcess Class Reference

`#include <ql/models/marketmodels/evolvers/marketmodelvolprocess.hpp>`

Inheritance diagram for MarketModelVolProcess:
[legend]

List of all members.

## Public Member Functions

virtual Size | variatesPerStep ()=0
virtual Size | numberSteps ()=0
virtual void | nextPath ()=0
virtual Real | nextstep (const std::vector< Real > &variates)=0
virtual Real | stepSd () const =0
virtual const std::vector< Real > & | stateVariables () const =0
virtual Size | numberStateVariables () const =0

## Detailed Description

Displaced diffusion LMM with uncorrelated vol process. Called "Shifted BGM" with Heston vol by Brace in "Engineering BGM." Vol process is an external input.